#
# spec file for package bsaf
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bsaf
Version:        1.9.1
Release:        4.1
Summary:        Better Swing Application Framework
License:        LGPL-2.0+
Group:          Development/Libraries/Java
Url:            http://kenai.com/projects/bsaf/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  unzip
Requires:       java >= 1.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Better Swing Application Framework is a fork of the original
Swing Application Framework (appframework) reference implementation
of JSR 296. Since August 2009, the original Swing Application
Framework project has been on hold, and therefore this fork was
created to carry on the work until the original project resumes.

%package javadoc
Summary:        Better Swing Application Framework Documentation
Group:          Development/Libraries/Java

%description javadoc
The Better Swing Application Framework is a fork of the original
Swing Application Framework (appframework) reference implementation
of JSR 296. Since August 2009, the original Swing Application
Framework project has been on hold, and therefore this fork was
created to carry on the work until the original project resumes.

%package devel
Summary:        Better Swing Application Framework Sources
Group:          Development/Libraries/Java

%description devel
The Better Swing Application Framework is a fork of the original
Swing Application Framework (appframework) reference implementation
of JSR 296. Since August 2009, the original Swing Application
Framework project has been on hold, and therefore this fork was
created to carry on the work until the original project resumes.

%prep
# nothing to do
%setup -q -c

%build
# noting to do

%install
%if 0%{?sles_version}
export NO_BRP_CHECK_BYTECODE_VERSION=true
%endif
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
install  -m 644 %{name}-%{version}-javadoc.jar %{buildroot}%{_javadocdir}/%{name}-%{version}-javadoc.jar
# sources
install -m 644 %{name}-%{version}-sources.jar %{buildroot}%{_javadir}/%{name}-%{version}-sources.jar

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}
%{_javadocdir}/%{name}-%{version}-javadoc.jar

%files devel
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}-sources.jar

%changelog
* Fri May  4 2018 pmonrealgonzalez@suse.com
- Removed files not needed.
* Tue Jul  8 2014 tchvatal@suse.com
- Cleanup with spec cleaner for readability purposes.
